import { identity as i } from "./index-identity.js";
function p(r) {
  return r.length === 0 ? i : r.length === 1 ? r[0] : function(t) {
    return r.reduce(function(e, n) {
      return n(e);
    }, t);
  };
}
export {
  p as pipeFromArray
};
